Configuration MyApi
{
  Import-DscResource -Module cNetworking
  Import-DscResource -Module cTopShelf

  Node 'localhost'
  {
    cUrlReservation ReservePort80 {
      Protocol = "http"
      Hostname = "*"
      Port = "80"
      User = "NT AUTHORITY\Network Service"
    }

    cFirewallRule AllowInboundPort80 {
      Name = "My.Api"
      Direction = "Inbound"
      LocalPort = "80"
      Protocol = "TCP"
      Action = "Allow"
    }

    cSelfHostedService Api {
      Name = "My.Api"
      Executable = $(Join-Path $env:chocolateyPackageFolder "lib\My.Api.exe")
      AutoStart = "false"
      Start = "false"
    }
  }
}

MyApi -Force -OutputPath $env:TEMP | Out-Null
Start-DscConfiguration -Wait -Verbose -Path $env:TEMP -ErrorAction Stop

Write-ChocolateySuccess 'My Api'
